Imports System.Data.Services
Imports System.Data.Services.Common
Imports DataAccessMSDNJuly2012
Imports DataServicesJSONP

Namespace DataServicesJSONP
    <JSONPSupportBehavior()>
    Public Class DataService
        Inherits DataService(Of SalesContext)

        Public Shared Sub InitializeService(ByVal config As DataServiceConfiguration)
            config.UseVerboseErrors = True
            config.SetEntitySetAccessRule("Customers", EntitySetRights.All)
            config.SetEntitySetAccessRule("Orders", EntitySetRights.All)

            'uncomment these two lines to see OData V2 feature support
            'config.SetEntitySetPageSize("Customers", 3)
            'config.DataServiceBehavior.MaxProtocolVersion = DataServiceProtocolVersion.V2

            'uncomment this line to make the service forward compatible 
            'config.DataServiceBehavior.MaxProtocolVersion = DataServiceProtocolVersion.V3
        End Sub
    End Class
End Namespace
