Imports System.Data.Entity
Imports Model

Public Class SalesContext
    Inherits DbContext

    Public Property Customers As DbSet(Of Customer)

    Public Property Orders As DbSet(Of Order)
End Class

Public Class CustomerInitializer
    Inherits DropCreateDatabaseAlways(Of SalesContext)

    Protected Overrides Sub Seed(ByVal context As SalesContext)
        context.Customers.Add(New Customer With {.FirstName = "Julie", .LastName = "Lerman", .AccountNumber = "A123"})
        MyBase.Seed(context)
    End Sub
End Class
